<?php
/*--------------------------------------------+
| PHP-Fusion 7 - Content Management System    |
|---------------------------------------------|
| RSS -  
| author: Nick Jones (Digitanium)  2002-2008 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 3)  |
+--------------------------------------------*/

header("Content-Type: text/xml");
require_once "../maincore.php";
  if (file_exists("../rss/locale/".$settings['locale'].".php")) {
	include "../rss/locale/".$settings['locale'].".php";
} else {
	include "../rss/locale/English.php";
}
echo "<?xml version=\"1.0\" encoding=\"".$locale['charset']."\"?>\n\n\n\n\n";
$result3=dbquery("SELECT * FROM ".$db_prefix."weblinks ORDER BY weblink_datestamp DESC LIMIT 0,10");
$result2=dbquery("SELECT siteurl FROM ".$db_prefix."settings");
$base=dbresult($result2,0);

echo "<rss version=\"2.0\">\n\n";
echo "<channel>\n";
echo "<title>".htmlspecialchars($settings['sitename']).". ".$locale['r105']."</title>\n";
echo "<link>".$settings['siteurl']."</link>\n";
echo "<description>".$settings['description']."</description>\n";
echo "<managingEditor>wWw.X-iWeb.Ru</managingEditor>\n";
echo "<webMaster>".htmlspecialchars($settings['sitename']).". ".$locale['r105']."</webMaster>\n";
echo "<language>ru-ru</language>\n\n";
while ($row=dbarray($result3)) {
	$rsid = intval($row['weblink_id']);
	$rtitle = $row['weblink_name'];
	$description = stripslashes(nl2br($row['weblink_description']));

	// Add allowable HTML tags below, all others will be stripped
	$description = strip_tags($description, "<A><P><BR><BR /><HR>");

	echo "<item>\n
	<title>".htmlspecialchars($rtitle)."</title>\n
	<link>".$base."weblinks.php?weblink_id=".$rsid."</link>\n
	<description>".htmlspecialchars($description)."</description>\n
	</item>\n\n";
}
echo "</channel>
	</rss>";

?>